import numpy
from chemsh import *

numpy.set_printoptions(threshold=10)

butanol = Fragment(coords='butanol.cjson')

ff = DL_FIELD(ff='cvff',
              cutoff_vdw=20.0,
              pbc=None,
              filename='_dl_field.xyz',
              run_only_once=True,       # run DL_FIELD each cycle of geometry optimisation by setting this False (default: True)
             )

mm_theory = DL_POLY(frag=butanol, ff=ff)

opt = Opt(theory=mm_theory, maxcycle=50).run(dryrun=False)
